Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlOutcomeTargetButton.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlOutcomeTargetButton.PropertyKeys>
          javax.faces.component.html.HtmlOutcomeTargetButton.PropertyKeys

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HtmlOutcomeTargetButton.PropertyKeys>

Enclosing class:
  HtmlOutcomeTargetButton

    protected static enum HtmlOutcomeTargetButton.PropertyKeys

extends java.lang.Enum<HtmlOutcomeTargetButton.PropertyKeys>

Enum Constant Summary
`accesskey`
`alt`
`dir`
`image`
`lang`
`onblur`
`onclick`
`ondblclick`
`onfocus`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`style`
`styleClass`
`tabindex`
`title`

Method Summary
`java.lang.String` | `toString()`
`static HtmlOutcomeTargetButton.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HtmlOutcomeTargetButton.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### accesskey

    public static final HtmlOutcomeTargetButton.PropertyKeys accesskey

### alt

    public static final HtmlOutcomeTargetButton.PropertyKeys alt

### dir

    public static final HtmlOutcomeTargetButton.PropertyKeys dir

### image

    public static final HtmlOutcomeTargetButton.PropertyKeys image

### lang

    public static final HtmlOutcomeTargetButton.PropertyKeys lang

### onblur

    public static final HtmlOutcomeTargetButton.PropertyKeys onblur

### onclick

    public static final HtmlOutcomeTargetButton.PropertyKeys onclick

### ondblclick

    public static final HtmlOutcomeTargetButton.PropertyKeys ondblclick

### onfocus

    public static final HtmlOutcomeTargetButton.PropertyKeys onfocus

### onkeydown

    public static final HtmlOutcomeTargetButton.PropertyKeys onkeydown

### onkeypress

    public static final HtmlOutcomeTargetButton.PropertyKeys onkeypress

### onkeyup

    public static final HtmlOutcomeTargetButton.PropertyKeys onkeyup

### onmousedown

    public static final HtmlOutcomeTargetButton.PropertyKeys onmousedown

### onmousemove

    public static final HtmlOutcomeTargetButton.PropertyKeys onmousemove

### onmouseout

    public static final HtmlOutcomeTargetButton.PropertyKeys onmouseout

### onmouseover

    public static final HtmlOutcomeTargetButton.PropertyKeys onmouseover

### onmouseup

    public static final HtmlOutcomeTargetButton.PropertyKeys onmouseup

### style

    public static final HtmlOutcomeTargetButton.PropertyKeys style

### styleClass

    public static final HtmlOutcomeTargetButton.PropertyKeys styleClass

### tabindex

    public static final HtmlOutcomeTargetButton.PropertyKeys tabindex

### title

    public static final HtmlOutcomeTargetButton.PropertyKeys title

Method Detail

### values

    public static HtmlOutcomeTargetButton.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlOutcomeTargetButton.PropertyKeys c : HtmlOutcomeTargetButton.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlOutcomeTargetButton.PropertyKeys valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<HtmlOutcomeTargetButton.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.